<?php defined('BASEPATH') or exit('No direct script access allowed');

class Dashboard extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('member/order_model', 'order');
		$this->load->model('member/member_model', 'member');
		($this->session->userdata('mem_id') == '') ? redirect(base_url() . 'member/login', 'refresh') : '';
		$this->logId = $this->session->userdata('mem_id');
		$this->u_id = $this->session->userdata('u_id');
		$this->baseUrl = base_url();
		error_reporting(0);
	}
	public function index()
	{
		$tRepurchase = NULL;
		$upCommingEarned = NULL;
		$upCommingEarned = NULL;
		$totalEarned = NULL;
		$tRepurchase = $this->common->get_data('sale_history', array('customer_id' => $this->logId), 'sum(grand_total) as amt');
		$upCommingEarned = $this->common->get_data('earning', array('status' => 'Pending', 'userid' => $this->u_id, 'status' => 'Pending'), 'sum(earnedBv) as amt');
		$totalEarned = $this->common->get_data('earning', array('userid' => $this->u_id), 'sum(amount) as amt');

		$getMember = $this->member->profile_details($this->logId);

		$rank = $this->db->select('reward_name')->from('rank_system')->where('id', $getMember->rank)->get()->row();

		$data['rank'] = $rank->reward_name;

		if ($getMember->topup == '0.00') {
			$reminder = '1';
		} else if ($getMember->bank_ac_no == NULL) {
			$reminder = '2';
		} else {
			$reminder = NULL;
		}

		$recentOrder = NULL;
		$data['totalDownLine'] = $this->member->find_my_legs($this->u_id, 'all');
		$data['activeDownLine'] = $this->member->find_my_legs($this->u_id, 'Active');
		$data['accDetails'] = $this->common->getRowData('bank_details', 'id', '1');
		$data['notifDetails'] = $this->common->all_data_con('notification_manage', array('status' => 'active'), '*');
		$data['total_sponsor'] = $this->db->select('*')->where('sponsor', $this->u_id)->get('msdr_members')->num_rows();


		$data['getMember'] = $getMember;
		$data['wallet'] = $this->common->get_data('wallet', array('userid' => $this->u_id), 'sum(balance) as amt');
		$data['pending_payout'] = $this->common->get_data('withdraw_request', array('userid' => $this->u_id, 'status' => 'Un-Paid'), 'sum(amount) as amt');
		$data['paid_payout'] = $this->common->get_data('withdraw_request', array('userid' => $this->u_id, 'status' => 'Paid'), 'sum(amount) as amt');


		$data['reminder'] = $reminder;
		$recentOrder = $this->order->recentOrder($this->logId);
		$data['recentOrder'] = $recentOrder;
		$data['title'] = 'Dashboard';
		$data['breadcrums'] = 'Dashboard';
		$data['totalEarned'] = $totalEarned;
		$data['tRepurchase'] = $tRepurchase;
		$data['upCommingEarned'] = $upCommingEarned;
		$this->load->view('member/base', $data);
	}
	public function welcome()
	{
		$data['title'] = 'Welcome Letter';
		$data['breadcrums'] = 'Welcome Letter';
		$data['layout'] = 'profile/welcome-letter.php';
		$this->load->view('member/base', $data);
	}

	public function id_card()
	{

		$data['details'] = $this->member->profile_details($this->logId);
		$data['title'] = 'Member ID Card';
		$data['breadcrums'] = 'Member ID Card';
		$data['layout'] = 'profile/idcard.php';
		$this->load->view('member/base', $data);
	}
	public function print_pdf()
	{
		$data['details'] = $this->member->profile_details($this->logId);
		$data['title'] = 'Member ID Card';
		$data['breadcrums'] = 'Member ID Card';
		$this->load->view('member/profile/print_idcard', $data);
	}
	public function package($actn = NULL)
	{
		if ($actn == 'isCheckPack') {
			$post = $this->input->post('id');
			$getPackage = $this->common->getRowData('package', 'pack_price', $post);
			$withTax = $post + ($post * $getPackage->pack_tax) / 100;
			//print_r($getPackage);
			echo $withTax;
		} else  if ($actn == 'request') {

			$this->load->library(array('upload', 'image_lib'));
			$post = $this->input->post();
			$getPackage = $this->common->getRowData('package', 'id', $post['pack_id']);
			$image_filename = NULL;
			$config = array(
				'upload_path' => "uploads/package/request/",
				'allowed_types' => "jpg|png|jpeg|JPEG|JPG",
				'overwrite' => FALSE,
				'encrypt_name' => TRUE,
				'max_size' => "10120000"
			);
			$this->load->library('upload', $config);
			$this->upload->initialize($config);

			if ($this->upload->do_upload('depositedSlip')) {
				$image['image_upload'] = array('upload_data' => $this->upload->data());
				$image_filename = $image['image_upload']['upload_data']['file_name'];
			}

			if ($image_filename) {
				$config = NULL;
				$config['image_library'] = 'gd2';
				$config['source_image']  = './uploads/package/request/' . $image_filename;
				$config['width']	 = '600';
				$config['height']	= '600';
				$this->image_lib->initialize($config);
				$this->image_lib->resize();
				$createDataArr = array(
					'member_id'       => $this->logId,
					'package_id' => $getPackage->id,
					'tnx_id'          => date('Hdsi'),
					'package_price' => $post['reqPackage'],
					'package_quantity' => $post['packQty'],
					'remarks'       => $post['memberRemarks'],
					'tax'       => $getPackage->pack_tax,
					'request_date'    => date('Y-m-d H:i:s'),
					'tnxSlip'      => 'uploads/package/request/' . $image_filename
				);
				$result = $this->common->save_data('member_package_request', $createDataArr);

				if ($result) {
					$data = array('result' => 'tst_success', 'msg' => "Thank you! You have successfully submit your request");
				} else {
					$data = array('result' => 'tst_danger', 'msg' => "Opps it seems error while sending your request");
				}
			} else {
				$data = array('result' => 'tst_danger', 'msg' => $this->upload->display_errors());
			}
			sleep(2);
			echo json_encode($data);
		} else {

			$userid = $this->session->mem_id;


			$mempack = $this->db->select('package_id')->from('msdr_members')->where('id', $userid)->get()->row();

			$packge_id = ($mempack->package_id) ? $mempack->package_id : 0;

			$pacakge = $this->db->select('id')->from('package')->where('status', '1')->get()->result();

			$total_package = count($pacakge);
			if ($packge_id == 0) {
				$packge_id = $pacakge[0]->id;
			} else {
				$falg = 0;
				foreach ($pacakge as $k => $p) {
					if ($packge_id == $p->id) {
						$k;
						$falg = 1;
						break;
					}
				}
				// echo $k."<br>";

				if ($falg == 1 && ($total_package - 1) != $k) {
					$packge_id = $pacakge[++$k]->id;
				}

				// echo ($total_package-1)."===".$j."=====================".$packge_id."<br>";
			}
			// die;

			$next_packge_id = $packge_id;



			$con = array(
				'status' => '1',
				'id'  => $next_packge_id

			);

			$total_package = $this->db->select('*')->from('package')->where($con)->get()->num_rows();
			// echo $this->db->last_query()."<br>";


			if ($total_package >= 1) {
				$packge_id = $next_packge_id;
			} else {
				$packge_id = $packge_id;
			}



			$member = $this->db->select('topup')->where('id', $userid)->get('msdr_members')->row();
			
			if ($member->topup > 0) {
				$con = array(
					'status' => '1',					
				);
				$data['flag']=1;
				$data['packageList'] = $this->db->select('*')->from('package')->where($con)->get()->result();
			} else {
				$con = array(
					'status' => '1',					
				);
				$data['flag']=0;
				$data['packageList'] = $this->db->select('*')->from('package')->limit(1)->where($con)->get()->result();
			}
			// echo $this->db->last_query();
			// die;

			$data['accDetails'] = $this->common->getRowData('bank_details', 'id', '1');
			$data['isPackageRequest'] = $this->order->isRequested($this->logId);

			$data['title'] = 'Request Package';
			$data['breadcrums'] = 'Request Package';
			$data['layout'] = 'order/request_package.php';
			$this->load->view('member/base', $data);
		}
	}

	public function package_history() {

		$mem_id = $this->session->userdata('mem_id');
		
		$pacakge = $this->db->select('mpr.*,p.pack_name as pack_name , p.pack_price as pack_price, p.b_volume as b_valumee')->from('member_package_request as mpr')->order_by('mpr.id','DESC')->where('mpr.member_id',$mem_id)->join('package as p','p.id = mpr.package_id','left')->get()->result();
		
		$data['pacakge'] = $pacakge;
		
		$data['title'] = 'Member ID Card';
		$data['layout'] = 'order/package_history.php';
		$this->load->view('member/base', $data);

	}
}
