<?php defined('BASEPATH') or exit('No direct script access allowed');

class Subscriber extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('member/member_model', 'member');
		$this->load->model('Common_model', 'Common_model');
		$this->load->model('Plan_model', 'Plan_model');
		$this->load->model('Db_model', 'Db_model');
		($this->session->userdata('mem_id') == '') ? redirect(base_url() . 'member/login', 'refresh') : '';
		$this->logId = $this->session->userdata('mem_id');
		$this->u_id = $this->session->userdata('u_id');
		$this->baseUrl = base_url();
		error_reporting(0);
	}
	public function downline($id = NULL)
	{
		if ($id) {
			$memberID = base64_decode(urldecode($id));
		} else {
			$memberID = $this->u_id;
		}

		$parent_details = $this->common->getRowData('msdr_members', 'username', $memberID);
		$getMydownLine = NULL;
		$whereCon = array('sponsor' => $memberID);
		$getMydownLine = $this->common->all_data_con('msdr_members', $whereCon, '*');
		$data = array(
			'title'           => 'Member Tree',
			'breadcrums'      => 'Member Tree',
			'getMydownLine'   => $getMydownLine,
			'parent_details'  => $parent_details,
			'layout'          => 'subscriber/downline.php',
			'top_id'          => ($memberID) ? $memberID : $this->u_id,
		);
		$this->load->view('member/base', $data);
	}
	public function view($actn = NULL)
	{
		$data['title'] = 'Subscriber Tree';
		$data['breadcrums'] = 'Subscriber Tree';
		$data['target'] = 'member/subscriber/child/' . $actn;
		$data['layout'] = 'subscriber/view.php';
		$this->load->view('member/base', $data);
	}

	public function direct_sponsor($actn = NULL)
	{
		$data['title'] = 'Subscriber Tree';
		$data['breadcrums'] = 'Subscriber Tree';
		$data['target'] = 'member/subscriber/direct_sps/' . $actn;
		$data['layout'] = 'subscriber/view.php';
		$this->load->view('member/base', $data);
	}

	public function direct_sps($actn = NULL)
	{
		$post_data = $this->input->post();
		$record = $this->member->member_data1($post_data, $this->u_id, $actn);
		$i = $post_data['start'] + 1;
		$return['data'] = array();
		$amt = 0;
		foreach ($record as $row) {
			if ($row->sponsor == '0') {
				$sponser = 'N/A';
			} else {
				$sponser = $row->sponsor;
			}
			$details = base_url('member/subscriber/details/' . urlencode(base64_encode($row->id)));
			$downLine = base_url('member/subscriber/downline/' . urlencode(base64_encode($row->username)));
			$actionBtn = '<a href="' . $details . '" class="btn btn-outline-primary btn-sm waves-effect btn-padd" title="View"><i class="mdi mdi-eye"></i> </a>
					<a href="' . $downLine . '" class="btn btn-outline-dark waves-effect waves-light btn-sm" title="Family Member"><i class="bx bx-sitemap"></i></a>';
			if ($row->username != $this->u_id) {

				if ($row->topup == '0.00') {
					$topup = '<span style="color:#d22700;font-weight: 600;">0.00</span>';
					$pbv = '<span style="color:#d22700;font-weight: 600;">N/A</span>';
				} else {
					$topup = '<span style="color:#1d8441;font-weight: 600;">' . $row->topup . '</span>';
					$pbv = '<span style="color:#1d8441;font-weight: 600;">' . $row->b_volume . '</span>';
				}


				$return['data'][] = array(
					'<strong>' . $i++ . '.</strong>',
					$row->username,
					$row->name,
					$row->mobile,
					$sponser, $row->address, $topup, 
					$actionBtn
				);
			}
		}
		$return['recordsTotal'] = $this->member->total_count1($this->u_id, $actn);
		$return['recordsFiltered'] = $this->member->total_filter_count1($post_data, $this->u_id, $actn);
		$return['draw'] = $post_data['draw'];
		echo json_encode($return);
	}

	public function create_tree()
	{
		$post_id = $this->input->post('id');
		$whereCon = array('username' => $post_id);
		$whereDownLineCon = array('position' => $post_id);
		$getCurrentMember = $this->Common_model->get_data('msdr_members', $whereCon, 'name,my_img,username,sponsor');
		$createMydownLine = $this->Common_model->all_data_con('msdr_members', $whereDownLineCon, '*');
		$data['createMydownLine'] = $createMydownLine;
		$data['getCurrentMember'] = $getCurrentMember;
		$this->load->view('member/subscriber/tree', $data);
	}
	public function child($actn = NULL)
	{
		$post_data = $this->input->post();
		$record = $this->member->member_data($post_data, $this->u_id, $actn);
		$i = $post_data['start'] + 1;
		$return['data'] = array();
		$amt = 0;
		foreach ($record as $row) {
			if ($row->sponsor == '0') {
				$sponser = 'N/A';
			} else {
				$sponser = $row->sponsor;
			}
			$details = base_url('member/subscriber/details/' . urlencode(base64_encode($row->id)));
			$downLine = base_url('member/subscriber/downline/' . urlencode(base64_encode($row->username)));
			$actionBtn = '<a href="' . $details . '" class="btn btn-outline-primary btn-sm waves-effect btn-padd" title="View"><i class="mdi mdi-eye"></i> </a>
					<a href="' . $downLine . '" class="btn btn-outline-dark waves-effect waves-light btn-sm" title="Family Member"><i class="bx bx-sitemap"></i></a>';
			if ($row->username != $this->u_id) {

				if ($row->topup == '0.00') {
					$topup = '<span style="color:#d22700;font-weight: 600;">0.00</span>';
					$pbv = '<span style="color:#d22700;font-weight: 600;">N/A</span>';
				} else {
					$topup = '<span style="color:#1d8441;font-weight: 600;">' . $row->topup . '</span>';
					$pbv = '<span style="color:#1d8441;font-weight: 600;">' . $row->b_volume . '</span>';
				}


				$return['data'][] = array(
					'<strong>' . $i++ . '.</strong>',
					$row->username,
					$row->name,
					$row->mobile,
					$sponser, $row->address, $topup, 
					$actionBtn
				);
			}
		}
		$return['recordsTotal'] = $this->member->total_count($this->u_id, $actn);
		$return['recordsFiltered'] = $this->member->total_filter_count($post_data, $this->u_id, $actn);
		$return['draw'] = $post_data['draw'];
		echo json_encode($return);
	}
	public function details($id)
	{
		$id = base64_decode(urldecode($id));
		$getPro = NULL;
		$getPro = $this->member->profile_details($id);
		$data['getPro'] = $getPro;
		$data['title'] = 'View Details Downline';
		$data['breadcrums'] = 'View Details Downline';
		$data['layout'] = 'subscriber/details.php';
		$this->load->view('member/base', $data);
	}

	function register()
	{

		$data['title'] = 'Add Member';
		$data['breadcrums'] = 'Add Member';
		$con = array(
			'userid' => $this->u_id
		);
		$wallet = $this->Common_model->get_data('wallet', $con, '*');
		$con = array(
			'id' => 1
		);
		$package = $this->Common_model->get_data('package', $con, '*');
		if ($wallet['balance'] >= $package['pack_price']) {
			$data['wallet'] = 1;
		} else {
			$data['wallet_amount'] = $wallet['balance'];
		}
		$data['package'] = $this->Common_model->all_data('package', '*');
		$data['layout'] = 'subscriber/add_member.php';
		$this->load->view('member/base', $data);
	}

	public function createNew()
	{
		$this->form_validation->set_rules('name', 'Name' . 'required');
		$this->form_validation->set_rules('mobile_number', 'Mobile Number', 'required|numeric');
		$this->form_validation->set_rules('email', 'Email', 'required|is_unique[msdr_members.email]');
		$this->form_validation->set_rules('sponsorId', 'Sponsor Id', 'required');
		$this->form_validation->set_rules('sponsorname', 'Sponsor Name', 'required');
		$this->form_validation->set_rules('gender', 'Gender', 'required');
		$this->form_validation->set_rules('password', 'Password', 'required');
		$this->form_validation->set_rules('retype_password', 'Retype Password', 'required|matches[password]');

		if ($this->form_validation->run() == TRUE) {

			$username = config_item('ID_EXT') . rand(10000, 99999);
			if ($this->Common_model->count_all('msdr_members', array('username' => $username)) > 0) {
				$username = $username + 1;
				if ($this->Common_model->count_all('msdr_members', array('username' => $username)) > 0) {
					$username = $username + 2;
					if ($this->Common_model->count_all('msdr_members', array('username' => $username)) > 0) {
						$username = $username + 3;
					}
				}
			}

			$post = $this->input->post();
			// -----------------------------------------
			$name = $post['name'];
			$gender = $post['gender'];
			$mobile_number = $post['mobile_number'];
			$email = $post['email'];
			$package_id = $post['package_id'];
			$password = $post['password'];
			$address = $post['address'];
			$sponsor = $post['sponsorId'];
			$username = $username;
			// ----------------------------------

			$package_det = $this->Common_model->get_data('package', array('id' => $package_id), '*');

			// -------------------------------------
			$package = $package_det['pack_price'];

			// --------------------------------




			$sponsor_count = $this->db->select('*')->where('sponsor', $sponsor)->get('msdr_members')->num_rows();

			if ($sponsor_count >= 5) {
				$this->session->set_flashdata('site_flash', '<div class="alert alert-danger">Sponsor Already sponsor 5 member Please Change sponsor Id</div>');
				redirect(base_url('member/subscriber/register'));
			}
			$wallet = $this->Common_model->get_data('wallet', array('userid' => $this->u_id), '*');

			if ($wallet['balance'] < $package) {
				$this->session->set_flashdata('site_flash', '<div class="alert alert-danger">Your wallet amount Is Less Please select Other Package or topup Wallet</div>');
				redirect(base_url('member/subscriber/register'));
			}


			$createArr = array(
				'user_typ'      => '1',
				'memTitle'      => '',
				'username'      => $username,
				'sponsor'       => $sponsor,
				'position'      => $sponsor,
				'name'          => $name,
				'gender'        => $gender,
				'email'         => $email,
				'mobile'        => $mobile_number,
				'password'      => md5($password),
				'shw_pass'      => $password,
				'address'        => $address,
				'created_type'  => '1',
				'create_date'   => date('Y-m-d H:i:s'),
				'created_by'    => '1',
				'topup_request' => $package,
				'topup'         => $package
			);

			$lastID = $this->Common_model->save_data('msdr_members', $createArr);
			// ------------------
			$data = array(
				'userid'      => $username,
				'package_id'  => $package_id,
				'amount'      => $package,
				'package_bv'  => 0,
				'topup_by'    => $this->u_id,
				'date'        => date('Y-m-d'),
			);
			$this->Common_model->save_data('topup_record', $data);

			// -----------------


			$new_ballence = $wallet['balance'] - $package;

			$dat = array(
				'balance' => $new_ballence
			);

			$this->db->where('userid', $this->u_id)->update('wallet', $dat);

			// -------wallet transection Record start------------

			$data = array(
				'tnx_id'    =>date('dmyHis'),
				'user_id'   =>$this->u_id,
				'debit_amt' =>$package,
				'credit_amt' =>0,
				'reason' =>"topup for" .$username,
				'create_date' =>date('Y-m-d H:i:s')
			);

			$this->Common_model->save_data('wallet_transaction', $data);

			// --------wallet transection Record end---------

			if ($lastID) {

				$d = $this->Plan_model->find_placement_field($sponsor);
				$data = array(
					$d['leg'] => $lastID
				);
				$this->db->where('id', $d['id'])->update('msdr_members', $data);


				$basicArr = array(
					'mem_id'     => $lastID,
					'state'      => '',
					'district'   => '',
					'zipcode'    => ''
				);

				$basicLastID = $this->Common_model->save_data('msdr_member_basic', $basicArr);

				if ($basicLastID) {
					$walletArr = array('userid' => $username);
					$createWallet = $this->Common_model->save_data('wallet', $walletArr);

					if ($createWallet) {
						// // $email_res = confirmation_mail($post['name'], config_item('company_name'), $username, $post['password']);
						// $to_email  = $post['email'];
						// $headers = "MIME-Version: 1.0" . "\r\n";
						// $headers .= "Content-type:text/html;charset=iso-8859-1" . "\r\n";
						// $headers .= 'From: ' . config_item('company_name') . ' <' . config_item('email') . '>';

						// mail($to_email, "Congratulation for register", $email_res, $headers);

						$data = array(
							'_username_' => $username,
							'_name_'     => $name,
							'_sponsor_' => $sponsor,
						);
						$this->session->set_userdata($data);

						redirect(base_url('member/subscriber/registration_success'));
					}
				}
			} else {
				$this->session->set_flashdata('site_flash', '<div class="alert alert-danger">Something Went Wrong</div>');
				redirect(base_url('member/subscriber/register'));
			}
		} else {
			$this->session->set_flashdata('site_flash', '<div class="alert alert-danger">' . validation_errors() . '</div>');
			redirect(base_url('member/subscriber/register'));
		}
	}

	function registration_success()
	{
		$data['title'] = 'Registration successfull';
		$data['breadcrums'] = 'Registration successfull';
		$data['layout'] = 'subscriber/regi_success.php';
		$this->load->view('member/base', $data);
	}

	function get_name()
	{
		$val = $this->input->post();
		$username = $val['sponsor_id'];
		$con = array('username' => $username);
		$dat = $this->Common_model->get_data('msdr_members', $con, 'name');
		if (!empty($dat)) {
			$data = array('text' => $dat['name'], 'icon' => 'success');
		} else {
			$data = array('text' => "Sponsor Id Not Valid ", 'icon' => 'error');
		}
		echo json_encode($data);
	}
}
