<div class="row">
	<div class="col-12">
		<div class="page-title-box d-sm-flex align-items-center justify-content-between card flex-sm-row border-0">
			<h4 class="mb-sm-0 font-size-16 fw-bold"><?php echo $title ?></h4>
			<div class="page-title-right">
				<ol class="breadcrumb m-0">
					<li class="breadcrumb-item"><a href="javascript: void(0);"></a></li>
					<li class="breadcrumb-item active"><?php echo $breadcrums ?></li>
				</ol>
			</div>
		</div>
	</div>
</div>

<div class="row mb-4">
	<div class="col-xl-12 text-center mb-4">
		<span id="msg"></span>
	</div>
	<div class="col-xl-4"></div>
	<div class="col-xl-3">
		<input type="text" placeholder="Enter userid (ex:-MNA9999)" id="username" class="form-control">
	</div>
	<div class="col-xl-3">
		<input type="submit" value="search" class="btn btn-danger" id="search">
	</div>
	<div class="col-xl-2"></div>

	<div class="col-xl-4"></div>
	<div class="col-xl-4">

		<div class="row" id="info" style="display: none;">
			<div class="col-xl-12 mt-3">
				<h3 class=" text-center">
					Wallet Balance : <?php echo config_item('currency'); ?><span id="wallet_balance">0</span>
				</h3>
			</div>

			<div class="col-xl-12 mb-3">
				<input type="text" placeholder="Enter amount" value="1" oninput="this.value = this.value.toUpperCase().replace(/[^0-9.]/g, '').replace(/(\  *?)\  */g, '$1')" id="amount" class="form-control" required>
			</div>

			<div class="col-xl-12 mb-3">
				<input type="text" placeholder="Enter Remark" id="remark" class="form-control" required>
			</div>
			<div class="col-xl-6 mb-3">
				<input type="submit" value="Add" class="btn btn-success form-control wallet_action">
			</div>
			<div class="col-xl-6 mb-3">
				<input type="submit" value="Remove" class="btn btn-danger form-control wallet_action">
			</div>
		</div>

	</div>
	<div class="col-xl-4"></div>


	<script>
		$('#search').on('click', function() {
			var username = $('#username').val();
			$.ajax({
				url: base_url + 'mlm_software/admin/member/get_wallet_balance',
				type: 'post',
				data: {
					'username': username
				},
				dataType: 'json',
				success: function(data) {
					if (data.status == 'error') {
						$('#msg').html('<span class="text-danger">' + data.msg + '</span>');
						$('#info').hide('slow');

					} else {
						$('#msg').html('<span class="text-success">' + data.msg + '</span>');
						$('#wallet_balance').html('<span class="text-success">' + data.balance + '</span>');

						$('#info').show('slow');

					}
				}
			});

		});


		$('.wallet_action').on('click', function() {
			var action = $(this).val();
			var amount = $('#amount').val();
			var remark = $.trim($('#remark').val());
			var base_url = '<?php echo base_url(); ?>'; // Define base URL
			var username = $('#username').val(); // Define username

			// alert(action);

			if (amount <= 0) {
				$('#msg').html('<span class="text-danger">Amount cannot be zero or negative.</span>');

			} else if (remark === '') {
				$('#msg').html('<span class="text-danger">Please enter a remark.</span>');

			} else {
				// alert('hello');

				$.ajax({
					url: base_url + 'mlm_software/admin/member/wallet_balance_action',
					type: 'POST',
					data: {
						'username': username,
						'amount': amount,
						'remark': remark,
						'action': action,
					},
					dataType: 'JSON',
					success: function(data) {
						if (data.status === 'error') {
							$('#msg').html('<span class="text-danger">' + data.msg + '</span>');
							$('#info').hide('slow');
						} else {
							$('#msg').html('<span class="text-success">' + data.msg + '</span>');
							$('#wallet_balance').html('<span class="text-success">' + data.balance + '</span>');
							$('#info').show('slow');
							window.location.reload(true);
						}
					},
					error: function(xhr, status, error) {
						$('#msg').html('<span class="text-danger">Something went wrong: ' + error + '</span>');
					}
				});
			}
		});
	</script>


</div>